summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-03-05 17:16:49 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-03-05 17:16:49 +0100
commit21acfbedebeddfda2c237e42c68592a4af32a1cc (patch)
tree0256be8a58b2c7007f249a8a52b768aa2ed68c80
parentdev-perl/HTML-TableParser: amd64/x86 stable wrt bug #575456 (diff)
parenttex-package.eclass: allow passing arguments to pdflatex (diff)
downloadgentoo-21acfbedebeddfda2c237e42c68592a4af32a1cc.tar.gz
gentoo-21acfbedebeddfda2c237e42c68592a4af32a1cc.tar.bz2
gentoo-21acfbedebeddfda2c237e42c68592a4af32a1cc.zip
Merge remote-tracking branch 'remotes/github/pr/982'
-rw-r--r--eclass/latex-package.eclass11
1 files changed, 9 insertions, 2 deletions
diff --git a/eclass/latex-package.eclass b/eclass/latex-package.eclass
index 171110171dd..a17e5b389f7 100644
--- a/eclass/latex-package.eclass
+++ b/eclass/latex-package.eclass
@@ -71,6 +71,13 @@ TEXMF="/usr/share/texmf-site"
# DESCRIPTION above)
SUPPLIER="misc"
+# @ECLASS-VARIABLE: LATEX_DOC_ARGUMENTS
+# @DESCRIPTION:
+# When compiling documentation (.tex/.dtx), this variable will be passed
+# to pdflatex as additional argument (e.g. -shell-escape). This variable
+# must be set after inherit, as it gets automatically cleared otherwise.
+LATEX_DOC_ARGUMENTS=""
+
# Kept for backwards compatibility
latex-package_has_tetex_3() {
case ${EAPI:-0} in
@@ -128,8 +135,8 @@ latex-package_src_doinstall() {
for i in `find . -maxdepth 1 -type f -name "*.${1}"`
do
einfo "Making documentation: $i"
- if pdflatex --interaction=batchmode $i &> /dev/null ; then
- pdflatex --interaction=batchmode $i &> /dev/null || die
+ if pdflatex ${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i &> /dev/null ; then
+ pdflatex ${LATEX_DOC_ARGUMENTS} --interaction=batchmode $i &> /dev/null || die
else
einfo "pdflatex failed, trying texi2dvi"
texi2dvi -q -c --language=latex $i &> /dev/null || die